Subject: Re: Questions on passing --depth to git-clone vs. git-fetch

From: Sebastian Schuberth <[email-masked]>
Date: Wed, 6 Jan 2016 14:04:22 +0100

On 1/6/2016 13:41, Duy Nguyen wrote:

> I think the culprit is the "git remote add" line. "git clone --depth"
> by default will fetch only one branch (aka --single-branch option in
> git-clone). But I suspect when you add a new remote, the default

Now that you mention it I see this being documented as part of 
--single-branch instead of --depth, which I think is confusing. I'll 
send a patch.

-- 
Sebastian Schuberth